VULKAN_HPP_NAMESPACE::FlagTraits< BufferCreateFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(BufferCreateFlagBits::eSparseBinding) | VkFlags(BufferCreateFlagBits::eSparseResidency) | VkFlags(BufferCreateFlagBits::eSparseAliased) | VkFlags(BufferCreateFlagBits::eProtected) }

## Detailed Description

Definition at line 22803 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 22805 of file vulkan.hpp.

{
allFlags = VkFlags(BufferCreateFlagBits::eSparseBinding) | VkFlags(BufferCreateFlagBits::eSparseResidency) | VkFlags(BufferCreateFlagBits::eSparseAliased) | VkFlags(BufferCreateFlagBits::eProtected)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BufferCreateFlagBits::eSparseAliased
@ eSparseAliased
VULKAN_HPP_NAMESPACE::FlagTraits< BufferCreateFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:22807
VULKAN_HPP_NAMESPACE::BufferCreateFlagBits::eSparseBinding
@ eSparseBinding
VULKAN_HPP_NAMESPACE::BufferCreateFlagBits::eSparseResidency
@ eSparseResidency
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::BufferCreateFlagBits::eProtected
@ eProtected